> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get order book



## OpenAPI

````yaml /openapi.json get /exchange/books/{symbol}
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/books/{symbol}:
    get:
      tags:
        - exchange
      summary: Get order book
      operationId: Exchange.Web.Controller.get_book
      parameters:
        - description: Currency pair
          in: path
          name: symbol
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderBookResponse'
          description: Order book
        '400':
          $ref: '#/components/responses/bad_request'
      callbacks: {}
components:
  schemas:
    OrderBookResponse:
      description: Response schema for an order book
      properties:
        data:
          $ref: '#/components/schemas/OrderBook'
      title: OrderBookResponse
      type: object
    OrderBook:
      description: An order book
      example:
        asks:
          - business_id: ce8331b2-a396-46c1-9638-5db5e9cf5b2e
            created_at: '2023-12-23T19:11:23.215'
            id: 0fe2d322-a1c7-11ee-9c0e-560f156a658b
            percent_filled: 0
            price: 80000
            price_type: limit
            status: open
            time_in_force: gtc
            total_qty: '1'
            unfilled_qty: '1.0'
            user_id: null
        bids:
          - business_id: ce8331b2-a396-46c1-9638-5db5e9cf5b2e
            created_at: '2023-12-23T19:11:23.097'
            id: 0fd0baf2-a1c7-11ee-ae88-560f156a658b
            percent_filled: 0
            price: 75000
            price_type: limit
            status: open
            time_in_force: gtc
            total_qty: '1'
            unfilled_qty: '1.0'
            user_id: 82dde615-d181-4f3e-8d3f-53ac7962feb7
        max_bid: 75000
        min_ask: 80000
        symbol: USD-NGN
      properties:
        asks:
          description: Sell orders
          items:
            $ref: '#/components/schemas/OrderBookEntry'
          type: array
        bids:
          description: Buy orders
          items:
            $ref: '#/components/schemas/OrderBookEntry'
          type: array
        max_bid:
          description: Maximum bid
          type: string
        min_ask:
          description: Minimum ask
          type: string
        symbol:
          description: Currency pair
          type: string
      title: OrderBook
      type: object
    OrderBookEntry:
      description: An order book entry
      example:
        business_id: ce8331b2-a396-46c1-9638-5db5e9cf5b2e
        created_at: '2023-12-23T19:11:23.097'
        id: 0fd0baf2-a1c7-11ee-ae88-560f156a658b
        percent_filled: 0
        price: 75000
        price_type: limit
        status: open
        time_in_force: gtc
        total_qty: '1'
        unfilled_qty: '1.0'
        user_id: 82dde615-d181-4f3e-8d3f-53ac7962feb7
      properties:
        business_id:
          description: Business ID
          type: string
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
        id:
          description: Order ID
          type: string
        percent_filled:
          description: Portion of order quantity filled, in basis points
          type: integer
        price:
          description: Order price
          type: string
        price_type:
          description: Price type
          enum:
            - limit
            - market
          type: string
        status:
          enum:
            - open
            - cancelled
            - rejected
            - filled
            - expired
            - closed
          type: string
        time_in_force:
          enum:
            - gtc
            - gtt
            - ioc
            - fok
          type: string
        total_qty:
          description: Order quantity
          type: number
        type:
          description: Order type
          enum:
            - sell
            - buy
          type: string
        unfilled_qty:
          description: Unfilled portion of order quantity
          type: number
        user_id:
          description: User ID
          nullable: true
          type: string
      title: OrderBookEntry
      type: object
  responses:
    bad_request:
      description: Bad Request

````